ATOLL(3) | Library Functions Manual | ATOLL(3)

# NAME

`atoll` —
convert ASCII string to long long integer

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <stdlib.h>`

long long int
`atoll`(const char *nptr);

# DESCRIPTION

The `atoll`() function converts the initial portion of the string pointed to by nptr to long long integer representation.

It is equivalent to:

    strtoll(nptr, (char **)NULL, 10);

# SEE ALSO

atof(3), atoi(3), atol(3), strtod(3), strtol(3), strtoll(3), strtoul(3), strtoull(3)

# STANDARDS

The `atoll`() function conforms to ISO/IEC 9899:1999 (“ISO C99”).

March 6, 2000 | NetBSD 9.4